%define	upstream_name	 Cache
%define	upstream_version 2.04

%define	_requires_exceptions	perl(warnings::register)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:	The Cache interface
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Cache/%{upstream_name}-%{upstream_version}.tar.bz2

%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRequires:	perl(File::NFSLock)
BuildRequires:  perl(Date::Format)
BuildRequires:  perl(IO::String)
BuildRequires:  perl(Heap)
BuildRequires:  perl(DB_File)
BuildRequires:  perl(Digest::SHA1)
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
%{upstream_name} perl module

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README TODO
%{perl_vendorlib}/Cache*
%{_mandir}/man3/*


%changelog
* Sat May 28 2011 Funda Wang <fwang@mandriva.org> 2.40.0-2mdv2011.0
+ Revision: 680708
- mass rebuild

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 2.40.0-1mdv2011.0
+ Revision: 409015
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 2.04-7mdv2009.0
+ Revision: 241153
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.04-5mdv2008.0
+ Revision: 85921
- rebuild


* Sat Apr 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.04-4mdk
- spec cleanup
- better summary
- better buildrequires syntax
- better source URL
- buildrequires perl(Diget::SHA1)

* Wed Apr 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.04-3mdk
- Fix BuildRequires

* Wed Apr 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.04-2mdk
- Fix BuildRequires

* Fri Feb 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.04-1mdk
- 2.04
- enable tests
- fix URL
- BuildRequires

* Fri Jan 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.03-1mdk
- initial Mandriva release

